Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.ssl
Class AllowAllHostnameVerifier

    java.lang.Object
      org.apache.http.conn.ssl.AbstractVerifier
          org.apache.http.conn.ssl.AllowAllHostnameVerifier

All Implemented Interfaces:
  HostnameVerifier, X509HostnameVerifier

    @Immutable
    public class AllowAllHostnameVerifier

extends AbstractVerifier

The ALLOW_ALL HostnameVerifier essentially turns hostname verification off. This implementation is a no-op, and never throws the SSLException.

Since:
  4.0

Constructor Summary
`AllowAllHostnameVerifier()`

Method Summary
`String` | `toString()`
`void` | `verify(String host, String[] cns, String[] subjectAlts)` Checks to see if the supplied hostname matches any of the supplied CNs or "DNS" Subject-Alts.

Methods inherited from class org.apache.http.conn.ssl.AbstractVerifier
`acceptableCountryWildcard, countDots, getCNs, getDNSSubjectAlts, verify, verify, verify, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllowAllHostnameVerifier

    public AllowAllHostnameVerifier()

Method Detail

### verify

    public final void verify(String host,
                             String[] cns,
                             String[] subjectAlts)

  Description copied from interface: `X509HostnameVerifier`
  Checks to see if the supplied hostname matches any of the supplied CNs or "DNS" Subject-Alts. Most implementations only look at the first CN, and ignore any additional CNs. Most implementations do look at all of the "DNS" Subject-Alts. The CNs or Subject-Alts may contain wildcards according to RFC 2818.

  Parameters:
    `host` - The hostname to verify.
    `cns` - CN fields, in order, as extracted from the X.509 certificate.
    `subjectAlts` - Subject-Alt fields of type 2 ("DNS"), as extracted from the X.509 certificate.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.